Retrieve Instrument details
curl --request GET \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"accountId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"holderId": "00000000-0000-0000-0000-000000000000",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"updatedAt": "2025-01-01T00:00:00Z",
"bankingDetails": {
"account": "123450",
"bankId": "12345",
"branch": "0001",
"closingDate": "2025-12-31",
"countryCode": "US",
"iban": "US12345678901234567890",
"openingDate": "2025-01-01",
"type": "CACC"
},
"document": "12345678900",
"id": "00000000-0000-0000-0000-000000000000",
"metadata": {},
"regulatoryFields": {
"accountType": "DEPOSIT",
"participantDocument": "12345678912345"
},
"relatedParties": [
{
"document": "12345678900",
"name": "John Smith",
"role": "PRIMARY_HOLDER",
"startDate": "2025-01-01",
"endDate": "2026-01-01",
"id": "00000000-0000-0000-0000-000000000000"
}
],
"type": "NATURAL_PERSON"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Retrieve Instrument details
GET
/
v2
/
organizations
/
{organization_id}
/
holders
/
{holder_id}
/
instruments
/
{instrument_id}
Retrieve Instrument details
curl --request GET \
--url https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v2/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"accountId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"holderId": "00000000-0000-0000-0000-000000000000",
"ledgerId": "00000000-0000-0000-0000-000000000000",
"updatedAt": "2025-01-01T00:00:00Z",
"bankingDetails": {
"account": "123450",
"bankId": "12345",
"branch": "0001",
"closingDate": "2025-12-31",
"countryCode": "US",
"iban": "US12345678901234567890",
"openingDate": "2025-01-01",
"type": "CACC"
},
"document": "12345678900",
"id": "00000000-0000-0000-0000-000000000000",
"metadata": {},
"regulatoryFields": {
"accountType": "DEPOSIT",
"participantDocument": "12345678912345"
},
"relatedParties": [
{
"document": "12345678900",
"name": "John Smith",
"role": "PRIMARY_HOLDER",
"startDate": "2025-01-01",
"endDate": "2026-01-01",
"id": "00000000-0000-0000-0000-000000000000"
}
],
"type": "NATURAL_PERSON"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Organization ID (UUID)
Holder ID (UUID)
Instrument ID (UUID)
Query Parameters
Returns the instrument even if it was logically deleted (true,false)
Response
OK
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"2025-01-01T00:00:00Z"
Show child attributes
Show child attributes
Maximum string length:
100Example:
"12345678900"
Example:
"00000000-0000-0000-0000-000000000000"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
100Example:
"NATURAL_PERSON"
Was this page helpful?

